#
# spec file for package perl-Time-Period
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Time-Period
Version:        1.25
Release:        1.33
%define cpan_name Time-Period
Summary:        A Perl module to deal with time periods.
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Time-Period/
Source:         http://www.cpan.org/authors/id/P/PB/PBOYD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The *inPeriod* function determines if a given time falls within a given
period. *inPeriod* returns *1* if the time does fall within the given
period, *0* if not, and *-1* if *inPeriod* detects a malformed time or
period.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc LICENSE README

%changelog
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.25
  - Fixed a bug with matching week on Sundays
    (https://rt.cpan.org/Public/Bug/Display.html?id=100850)
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.24
  - Minor doc update.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Aug 25 2011 chris@computersalat.de
- fix build for SLE_10
  * ExtUtils::MakeMaker version 6.31
- cpanspec
* Mon Feb 28 2011 vcizek@novell.com
- update to 1.23
  - Bug fixes:
  - Validate min and max for right side of hour ranges (e.g.
    hr { 20-25 } now correctly returns -1)
  - Range for yd is now 1 to 366
  - Years are no longer considered to be 365 days long for
    calculating a 4-digit year.
* Wed Feb 16 2011 vcizek@novell.com
- update to 1.22
  - Fixed tests
  - Bug fix: Stopped using $' and $`.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 coolo@suse.de
- package directories
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Jul 26 2002 prehak@suse.cz
- initial package version 1.20
